lexer grammar calc2;

// $ANTLR src "calc2.g" 66
PI
	: 'PI'
	;

// $ANTLR src "calc2.g" 70
E
	: 'E'
	;
	
// $ANTLR src "calc2.g" 74
DOUBLE
    : INT
    | '.' INT
    | INT '.'
    | INT '.' INT
    ;

// $ANTLR src "calc2.g" 81
fragment INT
	: '0'..'9'+
	;

// $ANTLR src "calc2.g" 85
PLUS
	: '+'
	;
	
// $ANTLR src "calc2.g" 89
MINUS
	: '-'
	;
	
// $ANTLR src "calc2.g" 93
MULT
	: '*'
	;
	
// $ANTLR src "calc2.g" 97
DIV
	: '/'
	;
	
// $ANTLR src "calc2.g" 101
POW
	: '**'
	;

// $ANTLR src "calc2.g" 105
LPAR
    : '('
    ;

// $ANTLR src "calc2.g" 109
RPAR
    : ')'
    ;

// $ANTLR src "calc2.g" 113
NL
	: '\r'|'\n'
	;

// $ANTLR src "calc2.g" 117
WHITESPACE
	: ('\t'|' '|'\u000C')+ {$channel = HIDDEN;}
	;
