// $ANTLR 3.0.1 calc2.g 2010-03-16 17:08:23

import java.lang.Double;
import java.lang.Math;


import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;

public class calc2Parser extends Parser {
    public static final String[] tokenNames = new String[] {
        "<invalid>", "<EOR>", "<DOWN>", "<UP>", "NL", "PLUS", "MINUS", "MULT", "DIV", "POW", "DOUBLE", "PI", "E", "LPAR", "RPAR", "INT", "WHITESPACE"
    };
    public static final int E=12;
    public static final int POW=9;
    public static final int LPAR=13;
    public static final int DOUBLE=10;
    public static final int WHITESPACE=16;
    public static final int RPAR=14;
    public static final int PLUS=5;
    public static final int INT=15;
    public static final int PI=11;
    public static final int NL=4;
    public static final int DIV=8;
    public static final int MINUS=6;
    public static final int MULT=7;
    public static final int EOF=-1;

        public calc2Parser(TokenStream input) {
            super(input);
        }
        

    public String[] getTokenNames() { return tokenNames; }
    public String getGrammarFileName() { return "calc2.g"; }


        public String getErrorMessage(RecognitionException e, String[] tokenNames) {
            List stack = getRuleInvocationStack(e, this.getClass().getName());
            String msg = null;
            if (e instanceof NoViableAltException) {
                NoViableAltException nvae = (NoViableAltException)e;
                msg = " no viable alt; token = " + e.token + 
                      " (decision = " + nvae.decisionNumber + 
                      " state " + nvae.stateNumber + ")" +
                      " decision = <<" + nvae.grammarDecisionDescription + ">>";
            } else {
                msg = super.getErrorMessage(e, tokenNames);
            }
            return stack + " " + msg;
        }

        public String getTokenErrorDisplay(Token t) {
            return t.toString();
        }



    // $ANTLR start calc
    // calc2.g:29:1: calc : lines EOF ;
    public final void calc() throws RecognitionException {
        try {
            // calc2.g:30:2: ( lines EOF )
            // calc2.g:30:4: lines EOF
            {
            pushFollow(FOLLOW_lines_in_calc23);
            lines();
            _fsp--;

            match(input,EOF,FOLLOW_EOF_in_calc25); 

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end calc


    // $ANTLR start lines
    // calc2.g:33:1: lines : ( line NL )+ ;
    public final void lines() throws RecognitionException {
        try {
            // calc2.g:34:2: ( ( line NL )+ )
            // calc2.g:34:4: ( line NL )+
            {
            // calc2.g:34:4: ( line NL )+
            int cnt1=0;
            loop1:
            do {
                int alt1=2;
                int LA1_0 = input.LA(1);

                if ( ((LA1_0>=PLUS && LA1_0<=MINUS)||(LA1_0>=DOUBLE && LA1_0<=LPAR)) ) {
                    alt1=1;
                }


                switch (alt1) {
            	case 1 :
            	    // calc2.g:34:5: line NL
            	    {
            	    pushFollow(FOLLOW_line_in_lines38);
            	    line();
            	    _fsp--;

            	    match(input,NL,FOLLOW_NL_in_lines40); 

            	    }
            	    break;

            	default :
            	    if ( cnt1 >= 1 ) break loop1;
                        EarlyExitException eee =
                            new EarlyExitException(1, input);
                        throw eee;
                }
                cnt1++;
            } while (true);


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end lines


    // $ANTLR start line
    // calc2.g:37:1: line : expr ;
    public final void line() throws RecognitionException {
        double expr1 = 0.0;


        try {
            // calc2.g:38:2: ( expr )
            // calc2.g:38:4: expr
            {
            pushFollow(FOLLOW_expr_in_line53);
            expr1=expr();
            _fsp--;

            System.out.println(expr1);

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end line


    // $ANTLR start expr
    // calc2.g:41:1: expr returns [double value] : t1= term ( PLUS t2= term | MINUS t2= term )* ;
    public final double expr() throws RecognitionException {
        double value = 0.0;

        double t1 = 0.0;

        double t2 = 0.0;


        try {
            // calc2.g:42:2: (t1= term ( PLUS t2= term | MINUS t2= term )* )
            // calc2.g:42:4: t1= term ( PLUS t2= term | MINUS t2= term )*
            {
            pushFollow(FOLLOW_term_in_expr72);
            t1=term();
            _fsp--;

            value = t1;
            // calc2.g:42:34: ( PLUS t2= term | MINUS t2= term )*
            loop2:
            do {
                int alt2=3;
                int LA2_0 = input.LA(1);

                if ( (LA2_0==PLUS) ) {
                    alt2=1;
                }
                else if ( (LA2_0==MINUS) ) {
                    alt2=2;
                }


                switch (alt2) {
            	case 1 :
            	    // calc2.g:42:35: PLUS t2= term
            	    {
            	    match(input,PLUS,FOLLOW_PLUS_in_expr77); 
            	    pushFollow(FOLLOW_term_in_expr81);
            	    t2=term();
            	    _fsp--;

            	    value += t2;

            	    }
            	    break;
            	case 2 :
            	    // calc2.g:42:73: MINUS t2= term
            	    {
            	    match(input,MINUS,FOLLOW_MINUS_in_expr87); 
            	    pushFollow(FOLLOW_term_in_expr91);
            	    t2=term();
            	    _fsp--;

            	    value -= t2;

            	    }
            	    break;

            	default :
            	    break loop2;
                }
            } while (true);


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return value;
    }
    // $ANTLR end expr


    // $ANTLR start term
    // calc2.g:45:1: term returns [double value] : f1= factor ( MULT f2= factor | DIV f2= factor )* ;
    public final double term() throws RecognitionException {
        double value = 0.0;

        double f1 = 0.0;

        double f2 = 0.0;


        try {
            // calc2.g:46:2: (f1= factor ( MULT f2= factor | DIV f2= factor )* )
            // calc2.g:46:4: f1= factor ( MULT f2= factor | DIV f2= factor )*
            {
            pushFollow(FOLLOW_factor_in_term112);
            f1=factor();
            _fsp--;

            value = f1;
            // calc2.g:46:36: ( MULT f2= factor | DIV f2= factor )*
            loop3:
            do {
                int alt3=3;
                int LA3_0 = input.LA(1);

                if ( (LA3_0==MULT) ) {
                    alt3=1;
                }
                else if ( (LA3_0==DIV) ) {
                    alt3=2;
                }


                switch (alt3) {
            	case 1 :
            	    // calc2.g:46:37: MULT f2= factor
            	    {
            	    match(input,MULT,FOLLOW_MULT_in_term117); 
            	    pushFollow(FOLLOW_factor_in_term121);
            	    f2=factor();
            	    _fsp--;

            	    value *= f2;

            	    }
            	    break;
            	case 2 :
            	    // calc2.g:46:77: DIV f2= factor
            	    {
            	    match(input,DIV,FOLLOW_DIV_in_term127); 
            	    pushFollow(FOLLOW_factor_in_term131);
            	    f2=factor();
            	    _fsp--;

            	    value /= f2;

            	    }
            	    break;

            	default :
            	    break loop3;
                }
            } while (true);


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return value;
    }
    // $ANTLR end term


    // $ANTLR start factor
    // calc2.g:49:1: factor returns [double value] : ( PLUS f1= factor | MINUS f2= factor | power );
    public final double factor() throws RecognitionException {
        double value = 0.0;

        double f1 = 0.0;

        double f2 = 0.0;

        double power2 = 0.0;


        try {
            // calc2.g:50:2: ( PLUS f1= factor | MINUS f2= factor | power )
            int alt4=3;
            switch ( input.LA(1) ) {
            case PLUS:
                {
                alt4=1;
                }
                break;
            case MINUS:
                {
                alt4=2;
                }
                break;
            case DOUBLE:
            case PI:
            case E:
            case LPAR:
                {
                alt4=3;
                }
                break;
            default:
                NoViableAltException nvae =
                    new NoViableAltException("49:1: factor returns [double value] : ( PLUS f1= factor | MINUS f2= factor | power );", 4, 0, input);

                throw nvae;
            }

            switch (alt4) {
                case 1 :
                    // calc2.g:50:4: PLUS f1= factor
                    {
                    match(input,PLUS,FOLLOW_PLUS_in_factor151); 
                    pushFollow(FOLLOW_factor_in_factor155);
                    f1=factor();
                    _fsp--;

                    value = f1;

                    }
                    break;
                case 2 :
                    // calc2.g:51:4: MINUS f2= factor
                    {
                    match(input,MINUS,FOLLOW_MINUS_in_factor162); 
                    pushFollow(FOLLOW_factor_in_factor166);
                    f2=factor();
                    _fsp--;

                    value = -f2;

                    }
                    break;
                case 3 :
                    // calc2.g:52:4: power
                    {
                    pushFollow(FOLLOW_power_in_factor173);
                    power2=power();
                    _fsp--;

                    value = power2;

                    }
                    break;

            }
        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return value;
    }
    // $ANTLR end factor


    // $ANTLR start power
    // calc2.g:55:1: power returns [double value] : atom ( POW f= factor )? ;
    public final double power() throws RecognitionException {
        double value = 0.0;

        double f = 0.0;


        try {
            // calc2.g:56:2: ( atom ( POW f= factor )? )
            // calc2.g:56:4: atom ( POW f= factor )?
            {
            pushFollow(FOLLOW_atom_in_power190);
            atom();
            _fsp--;

            value = $atom.value;
            // calc2.g:56:33: ( POW f= factor )?
            int alt5=2;
            int LA5_0 = input.LA(1);

            if ( (LA5_0==POW) ) {
                alt5=1;
            }
            switch (alt5) {
                case 1 :
                    // calc2.g:56:34: POW f= factor
                    {
                    match(input,POW,FOLLOW_POW_in_power195); 
                    pushFollow(FOLLOW_factor_in_power199);
                    f=factor();
                    _fsp--;

                    value = Math.pow(value, f);

                    }
                    break;

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return value;
    }
    // $ANTLR end power


    // $ANTLR start atom
    // calc2.g:59:1: atom returns [double value72983749823879&(*&(*&(*&(*&985] : ( DOUBLE | PI | E | LPAR expr RPAR );
    public final double value72983749823879&(*&(*&(*&(*& atom() throws RecognitionException {
        double value72983749823879&(*&(*&(*&(*& 985 = null;

        Token DOUBLE3=null;
        double expr4 = 0.0;


        try {
            // calc2.g:60:2: ( DOUBLE | PI | E | LPAR expr RPAR )
            int alt6=4;
            switch ( input.LA(1) ) {
            case DOUBLE:
                {
                alt6=1;
                }
                break;
            case PI:
                {
                alt6=2;
                }
                break;
            case E:
                {
                alt6=3;
                }
                break;
            case LPAR:
                {
                alt6=4;
                }
                break;
            default:
                NoViableAltException nvae =
                    new NoViableAltException("59:1: atom returns [double value72983749823879&(*&(*&(*&(*&985] : ( DOUBLE | PI | E | LPAR expr RPAR );", 6, 0, input);

                throw nvae;
            }

            switch (alt6) {
                case 1 :
                    // calc2.g:60:4: DOUBLE
                    {
                    DOUBLE3=(Token)input.LT(1);
                    match(input,DOUBLE,FOLLOW_DOUBLE_in_atom219); 
                    $value = Double.parseDouble(DOUBLE3.getText());

                    }
                    break;
                case 2 :
                    // calc2.g:61:4: PI
                    {
                    match(input,PI,FOLLOW_PI_in_atom226); 
                    $value = Math.PI;

                    }
                    break;
                case 3 :
                    // calc2.g:62:4: E
                    {
                    match(input,E,FOLLOW_E_in_atom233); 
                    $value = Math.E;

                    }
                    break;
                case 4 :
                    // calc2.g:63:4: LPAR expr RPAR
                    {
                    match(input,LPAR,FOLLOW_LPAR_in_atom240); 
                    pushFollow(FOLLOW_expr_in_atom242);
                    expr4=expr();
                    _fsp--;

                    match(input,RPAR,FOLLOW_RPAR_in_atom244); 
                    $value = expr4;

                    }
                    break;

            }
        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return 985;
    }
    // $ANTLR end atom


 

    public static final BitSet FOLLOW_lines_in_calc23 = new BitSet(new long[]{0x0000000000000000L});
    public static final BitSet FOLLOW_EOF_in_calc25 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_line_in_lines38 = new BitSet(new long[]{0x0000000000000010L});
    public static final BitSet FOLLOW_NL_in_lines40 = new BitSet(new long[]{0x0000000000003C62L});
    public static final BitSet FOLLOW_expr_in_line53 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_term_in_expr72 = new BitSet(new long[]{0x0000000000000062L});
    public static final BitSet FOLLOW_PLUS_in_expr77 = new BitSet(new long[]{0x0000000000003C60L});
    public static final BitSet FOLLOW_term_in_expr81 = new BitSet(new long[]{0x0000000000000062L});
    public static final BitSet FOLLOW_MINUS_in_expr87 = new BitSet(new long[]{0x0000000000003C60L});
    public static final BitSet FOLLOW_term_in_expr91 = new BitSet(new long[]{0x0000000000000062L});
    public static final BitSet FOLLOW_factor_in_term112 = new BitSet(new long[]{0x0000000000000182L});
    public static final BitSet FOLLOW_MULT_in_term117 = new BitSet(new long[]{0x0000000000003C60L});
    public static final BitSet FOLLOW_factor_in_term121 = new BitSet(new long[]{0x0000000000000182L});
    public static final BitSet FOLLOW_DIV_in_term127 = new BitSet(new long[]{0x0000000000003C60L});
    public static final BitSet FOLLOW_factor_in_term131 = new BitSet(new long[]{0x0000000000000182L});
    public static final BitSet FOLLOW_PLUS_in_factor151 = new BitSet(new long[]{0x0000000000003C60L});
    public static final BitSet FOLLOW_factor_in_factor155 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MINUS_in_factor162 = new BitSet(new long[]{0x0000000000003C60L});
    public static final BitSet FOLLOW_factor_in_factor166 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_power_in_factor173 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_atom_in_power190 = new BitSet(new long[]{0x0000000000000202L});
    public static final BitSet FOLLOW_POW_in_power195 = new BitSet(new long[]{0x0000000000003C60L});
    public static final BitSet FOLLOW_factor_in_power199 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_DOUBLE_in_atom219 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_PI_in_atom226 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_E_in_atom233 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LPAR_in_atom240 = new BitSet(new long[]{0x0000000000003C60L});
    public static final BitSet FOLLOW_expr_in_atom242 = new BitSet(new long[]{0x0000000000004000L});
    public static final BitSet FOLLOW_RPAR_in_atom244 = new BitSet(new long[]{0x0000000000000002L});

}